apt-get update doesn't work

If none of the more specific forums is the right place to ask

apt-get update doesn't work

Postby newbie123 » 2018-01-05 18:13

Hello, I tried to solve my problem, but I can't find working solution. When I type "apt-get update" command, I get this output:
Code: Select all
Ign:1 http://ftp.pl.debian.org/debian stretch InRelease
Hit:2 http://ftp.pl.debian.org/debian stretch-updates InRelease
Hit:3 http://ftp.pl.debian.org/debian stretch Release                         
Hit:4 http://security.debian.org/debian-security stretch/updates InRelease     
Reading package lists... Error!                                               
W: Unknown Multi-Arch type '�same' for package 'libmate-window-settings1'
E: Problem parsing dependency 20
E: Error occurred while processing libmate-window-settings1 (NewVersion2)
E: Problem with MergeList /var/lib/apt/lists/ftp.pl.debian.org_debian_dists_stretch_main_binary-amd64_Packages
E: The package lists or status file could not be parsed or opened.

I tried to delete /var/lib/apt/lists/* and issue again command, but it doesn't work.
newbie123
 
Posts: 4
Joined: 2018-01-05 17:58

Re: apt-get update doesn't work

Postby Bulkley » 2018-01-05 18:32

Post the content of /etc/apt/sources.list .
Bulkley
 
Posts: 5571
Joined: 2006-02-11 18:35

Re: apt-get update doesn't work

Postby newbie123 » 2018-01-05 18:44

Bulkley wrote:Post the content of /etc/apt/sources.list .


Code: Select all
#

# deb cdrom:[Debian GNU/Linux 9.3.0 _Stretch_ - Official amd64 DVD Binary-1 20171209-12:11]/ stretch contrib main non-free

#deb cdrom:[Debian GNU/Linux 9.3.0 _Stretch_ - Official amd64 DVD Binary-1 20171209-12:11]/ stretch contrib main non-free

deb http://ftp.pl.debian.org/debian/ stretch main non-free contrib
deb-src http://ftp.pl.debian.org/debian/ stretch main non-free contrib

deb http://security.debian.org/debian-security stretch/updates main contrib non-free
deb-src http://security.debian.org/debian-security stretch/updates main contrib non-free

# stretch-updates, previously known as 'volatile'
deb http://ftp.pl.debian.org/debian/ stretch-updates main contrib non-free
deb-src http://ftp.pl.debian.org/debian/ stretch-updates main contrib non-free
newbie123
 
Posts: 4
Joined: 2018-01-05 17:58

Re: apt-get update doesn't work

Postby bw123 » 2018-01-05 19:51

grunged entry in /var/lib/dpkg/status?

Code: Select all
# grep -A12 'Package: libmate-window-settings1' /var/lib/dpkg/status
look for weArd erroos, spelliHg, ofdd characters, etc...

# dpkg -V libmate-window-settings1
User avatar
bw123
 
Posts: 3078
Joined: 2011-05-09 06:02
Location: TN_USA

Re: apt-get update doesn't work

Postby newbie123 » 2018-01-05 19:59

bw123 wrote:grunged entry in /var/lib/dpkg/status?

Code: Select all
# grep -A12 'Package: libmate-window-settings1' /var/lib/dpkg/status
look for weArd erroos, spelliHg, ofdd characters, etc...

# dpkg -V libmate-window-settings1


After executing of first command, I don't get output. When I issue second command, I get:
Code: Select all
dpkg: package 'libmate-window-settings1' is not installed
newbie123
 
Posts: 4
Joined: 2018-01-05 17:58

Re: apt-get update doesn't work

Postby Bulkley » 2018-01-05 20:53

newbie123 wrote: When I issue second command, I get:
Code: Select all
dpkg: package 'libmate-window-settings1' is not installed


Code: Select all
apt-get install libmate-window-settings1
Bulkley
 
Posts: 5571
Joined: 2006-02-11 18:35

Re: apt-get update doesn't work

Postby newbie123 » 2018-01-05 21:44

Bulkley wrote:
newbie123 wrote: When I issue second command, I get:
Code: Select all
dpkg: package 'libmate-window-settings1' is not installed


Code: Select all
apt-get install libmate-window-settings1


Thanks, It's working. Previously I issued this command with zero result, but after reboot it seems to be all working.
newbie123
 
Posts: 4
Joined: 2018-01-05 17:58


Return to General Questions

Who is online

Users browsing this forum: No registered users and 7 guests

fashionable